# $dcc.remoteFileSize Returns the remote file size associated to the specified DCC
Usage
    $dcc.remoteFileSize(<dcc_id>)
Description
Returns the remote file size associated to the specified DCC. If <dcc_id> does not identify a file transfer DCC then this function returns '0' If <dcc_id> is not a valid Direct Client Connection identifier then this function prints a warning and returns '0' In download transfers the remote file size rappresents the total size of the file to be transferred (advertished by the remote end). In upload transfers the remote file size is non zero only if the remote user has issued a resume request and is rappresents the requested offset in bytes from which the transfer has started.
Syntax Specification
    <integer> $dcc.remoteFileSize(<dcc_id:uint>)

Index, Functions

KVIrc 4.0.4.4744 Documentation
Generated by kerd at Fri Mar 25 20:00:07 2011